Debian FTP Masters | 6 May 20:50 2016
Picon

modestmaps-js_3.3.6+ds2-1_amd64.changes ACCEPTED into unstable


Accepted:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 06 May 2016 20:29:58 +0200
Source: modestmaps-js
Binary: libjs-modestmaps node-modestmaps modestmaps-js-doc
Architecture: source all
Version: 3.3.6+ds2-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel <at> lists.alioth.debian.org>
Changed-By: Bas Couwenberg <sebastic <at> debian.org>
Description:
 libjs-modestmaps - display and interaction library for tile-based maps - Javascript
 modestmaps-js-doc - display and interaction library for tile-based maps - docs
 node-modestmaps - display and interaction library for tile-based maps - NodeJS
Changes:
 modestmaps-js (3.3.6+ds2-1) unstable; urgency=medium
 .
   * Team upload.
   * Add gbp.conf to use pristine-tar by default.
   * Restructure control file with cme, changes:
     - Update Vcs-* URLs to use HTTPS
   * Enable parallel builds.
   * Use libjs-excanvas package instead of embedded copy.
   * Use libjs-jquery & libjs-jquery-ui packages instead of online copies.
(Continue reading)

Debian FTP Masters | 6 May 20:34 2016
Picon

Processing of modestmaps-js_3.3.6+ds2-1_amd64.changes

modestmaps-js_3.3.6+ds2-1_amd64.changes uploaded successfully to localhost
along with the files:
  modestmaps-js_3.3.6+ds2-1.dsc
  modestmaps-js_3.3.6+ds2.orig.tar.gz
  modestmaps-js_3.3.6+ds2-1.debian.tar.xz
  libjs-modestmaps_3.3.6+ds2-1_all.deb
  modestmaps-js-doc_3.3.6+ds2-1_all.deb
  node-modestmaps_3.3.6+ds2-1_all.deb

Greetings,

	Your Debian queue daemon (running on host franck.debian.org)
Jérémy Lal | 6 May 12:58 2016
Gravatar

Bug#823597: npm: If npm is updated with npm install npm -g, /usr/share/npm/npmrc is lost

Package: npm
Version: 1.4.21+ds-3
Severity: normal
Tags: upstream

Got hit again by
https://github.com/npm/npm/issues/533

I'm sharing it here so other users can find a workaround.

`npm install npm -g` will correctly install latest version of npm in
/usr/local (provided current user is member of staff group).

Unfortunately, /usr/local/bin/npm will look for npmrc in the following places:
/usr/etc/npmrc, /usr/local/lib/node_modules/npm/npmrc...
but where we'd like it to look for:
/etc/npmrc
/usr/local/etc/npmrc
/usr/share/npm/npmrc (this is the one from the debian package)

It is a problem because *npm loses its /usr/local prefix*, so future
`npm install -g xxx`
will try to install into /usr/lib.

Workaround: after `npm install npm -g`, copy or symlink /usr/share/npm/npmrc to
/usr/local/lib/node_modules/npm/npmrc.

Jérémy.

_______________________________________________
(Continue reading)

Debian FTP Masters | 6 May 13:00 2016
Picon

jquery-migrate-1_1.4.0-1_amd64.changes ACCEPTED into unstable, unstable


Accepted:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 05 May 2016 00:00:50 +0200
Source: jquery-migrate-1
Binary: libjs-jquery-migrate-1
Architecture: source all
Version: 1.4.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel <at> lists.alioth.debian.org>
Changed-By: Jean-Michel Vourgère <nirgal <at> debian.org>
Description:
 libjs-jquery-migrate-1 - Migrate older jQuery code to jQuery 1.9+
Closes: 823416
Changes:
 jquery-migrate-1 (1.4.0-1) unstable; urgency=medium
 .
   * Initial release. (Closes: #823416)
Checksums-Sha1:
 5d78b20f14b646f76b8fd2f1ab03903172b97f43 2028 jquery-migrate-1_1.4.0-1.dsc
 c4bf711c3a7d9c4c05c4a611860fd6666ea54bc6 7621 jquery-migrate-1_1.4.0.orig.tar.gz
 2b46316692f2eb7dcd4f1bc0def523bd7bf02714 2060 jquery-migrate-1_1.4.0-1.debian.tar.xz
 87036e15edb86984ae6c00e6a4b8c1352088e3a6 12112 libjs-jquery-migrate-1_1.4.0-1_all.deb
Checksums-Sha256:
 10ce32b980e1537ab6198162824d6d602fbabfcc573dd9244529becb29ff3e59 2028 jquery-migrate-1_1.4.0-1.dsc
(Continue reading)

Debian FTP Masters | 6 May 12:35 2016
Picon

datatables.js_1.10.11+dfsg-3_amd64.changes ACCEPTED into unstable


Accepted:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 06 May 2016 08:54:57 +0000
Source: datatables.js
Binary: libjs-jquery-datatables
Architecture: source all
Version: 1.10.11+dfsg-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel <at> lists.alioth.debian.org>
Changed-By: Sascha Steinbiss <sascha <at> steinbiss.name>
Description:
 libjs-jquery-datatables - jQuery plug-in that makes nice tables from different data sources
Changes:
 datatables.js (1.10.11+dfsg-3) unstable; urgency=medium
 .
   * Remove Build-dep on PHP completely as it is unnecessary.
   * Transfer package to JS team.
   * Bump Standards-Version.
Checksums-Sha1:
 1e3900dd9f1300751556ac02ec4c762e6f26b3d8 2053 datatables.js_1.10.11+dfsg-3.dsc
 f4071664d5e65a00b292bfbc33c576069caa4081 4420 datatables.js_1.10.11+dfsg-3.debian.tar.xz
 181cf98b739308b18494b8791017e3f73de760a8 134040 libjs-jquery-datatables_1.10.11+dfsg-3_all.deb
Checksums-Sha256:
 5e048e0b9dfb2d56bcd9773b27100ab1f3baf8a82095f33d469b169f08c1a55b 2053 datatables.js_1.10.11+dfsg-3.dsc
(Continue reading)

Debian FTP Masters | 6 May 11:02 2016
Picon

Processing of datatables.js_1.10.11+dfsg-3_amd64.changes

datatables.js_1.10.11+dfsg-3_amd64.changes uploaded successfully to localhost
along with the files:
  datatables.js_1.10.11+dfsg-3.dsc
  datatables.js_1.10.11+dfsg-3.debian.tar.xz
  libjs-jquery-datatables_1.10.11+dfsg-3_all.deb

Greetings,

	Your Debian queue daemon (running on host franck.debian.org)
Picon

drupal7-mod-jssip is marked for autoremoval from testing

drupal7-mod-jssip 1.1-1 is marked for autoremoval from testing on 2016-06-04

It (build-)depends on packages with these RC bugs:
821482: drupal7: PHP 7.0 Transition
Picon

drupal7-mod-drucall is marked for autoremoval from testing

drupal7-mod-drucall 2.3-1 is marked for autoremoval from testing on 2016-06-04

It (build-)depends on packages with these RC bugs:
821482: drupal7: PHP 7.0 Transition
Picon

drupal7-mod-fontawesome is marked for autoremoval from testing

drupal7-mod-fontawesome 1.0-2 is marked for autoremoval from testing on 2016-06-04

It (build-)depends on packages with these RC bugs:
821482: drupal7: PHP 7.0 Transition
Picon

drupal7-mod-jqueryi18nproperties is marked for autoremoval from testing

drupal7-mod-jqueryi18nproperties 1.1-1 is marked for autoremoval from testing on 2016-06-04

It (build-)depends on packages with these RC bugs:
821482: drupal7: PHP 7.0 Transition
Picon

drupal7-mod-arbiterjs is marked for autoremoval from testing

drupal7-mod-arbiterjs 1.0.0-1 is marked for autoremoval from testing on 2016-06-04

It (build-)depends on packages with these RC bugs:
821482: drupal7: PHP 7.0 Transition

Gmane